summaryrefslogtreecommitdiffstats
path: root/desktop/wmdate
diff options
context:
space:
mode:
author Cezary M. Kruk2010-05-12 23:28:25 +0200
committer Robby Workman2010-05-12 23:28:25 +0200
commit3f9032c06d13fa25d0fe2ea45ced29ba19403c85 (patch)
tree8c04b647cf0abdac8938965c52b214096e42d74a /desktop/wmdate
parent877ec9bfd1adfc1306fe343b3cac43424a995421 (diff)
downloadslackbuilds-3f9032c06d13fa25d0fe2ea45ced29ba19403c85.tar.gz
desktop/wmdate: Added to 12.2 repository
Diffstat (limited to 'desktop/wmdate')
-rw-r--r--desktop/wmdate/README7
-rw-r--r--desktop/wmdate/slack-desc19
-rw-r--r--desktop/wmdate/wmdate.SlackBuild61
-rw-r--r--desktop/wmdate/wmdate.info8
-rw-r--r--desktop/wmdate/wmdate.man46
5 files changed, 141 insertions, 0 deletions
diff --git a/desktop/wmdate/README b/desktop/wmdate/README
new file mode 100644
index 0000000000..5a7b2d3da3
--- /dev/null
+++ b/desktop/wmdate/README
@@ -0,0 +1,7 @@
+wmDate is a Window Maker calendar dockable application.
+
+wmDate is a date-display utility. It was originally based on the
+displaying lay-out of asclock (which in turn is based on the
+time-display utility used in NeXTStep).
+
+This requires libdockapp.
diff --git a/desktop/wmdate/slack-desc b/desktop/wmdate/slack-desc
new file mode 100644
index 0000000000..b2f505640e
--- /dev/null
+++ b/desktop/wmdate/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wmDate: wmDate (Window Maker calendar dockable application)
+wmDate:
+wmDate: wmDate is a date-display utility. It was originally based on the
+wmDate: displaying lay-out of asclock (which in turn is based on the
+wmDate: time-display utility used in NeXTStep).
+wmDate:
+wmDate: wmDate requires libDockApp library.
+wmDate:
+wmDate:
+wmDate:
+wmDate:
diff --git a/desktop/wmdate/wmdate.SlackBuild b/desktop/wmdate/wmdate.SlackBuild
new file mode 100644
index 0000000000..d4df88adac
--- /dev/null
+++ b/desktop/wmdate/wmdate.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for wmDate
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=wmdate
+VERSION=${VERSION:-0.7}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cat $CWD/wmdate.man > wmdate.man
+xmkmf
+make
+make install DESTDIR=$PKG
+
+strip --strip-unneeded $PKG/usr/bin/wmdate
+
+mkdir -p $PKG/usr/man/man1
+gzip -9c wmdate.man > $PKG/usr/man/man1/wmdate.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING Changelog INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/wmdate/wmdate.info b/desktop/wmdate/wmdate.info
new file mode 100644
index 0000000000..558e79cd77
--- /dev/null
+++ b/desktop/wmdate/wmdate.info
@@ -0,0 +1,8 @@
+PRGNAM="wmDate"
+VERSION="0.7"
+HOMEPAGE="http://web.cs.mun.ca/~gstarkes/wmaker/dockapps/time.html"
+DOWNLOAD="http://web.cs.mun.ca/~gstarkes/wmaker/dockapps/files/wmdate-0.7.tar.gz"
+MD5SUM="967a20599124da13c876d12cfe08e3a5"
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="rworkman"
diff --git a/desktop/wmdate/wmdate.man b/desktop/wmdate/wmdate.man
new file mode 100644
index 0000000000..dccae78b2d
--- /dev/null
+++ b/desktop/wmdate/wmdate.man
@@ -0,0 +1,46 @@
+.TH wmDate(0.7) 1x
+.\" NAME should be all caps, SECTION should be 1-8, maybe w/ subsection
+.\" other parms are allowed: see man(7), man(1)
+.SH NAME
+wmdate \- A Window Maker window manager Dock app
+.SH SYNOPSIS
+.B wmdate
+.I "[options]"
+.SH "DESCRIPTION"
+This manual page documents briefly the
+.BR wmdate
+commands.
+This manual page was written for the Debian GNU/Linux distribution
+because the original program does not have a manual page.
+.PP
+.B wmdate
+displays a 64x64 pixel calendar that's suitible for Docking in window manager
+docking bars.
+.SH OPTIONS
+The programs follow the usual GNU command line syntax, with long
+options starting with two dashes (`-') and short options starting with one.
+A summary of options are included below.
+.TP
+.B \-h, \-\-help
+Show help text.
+.TP
+.B \-v, \-\-version
+Show version of program.
+.TP
+.B \-w, \-\-windowed
+Run program in windowed mode.
+.TP
+.B \-d, \-\-display <string>
+Display to use.
+.TP
+.B \-s, \-\-not-shape
+No shaped window.
+.TP
+.B \-t, \-\-test
+Testing Mode.
+.SH AUTHOR
+This manual page was written by Darren Benham <gecko@debian.org> and
+modified by Cezary M. Kruk.
+
+wmDate is Copyrighted (c) 1999 by Alban Hertroys
+All rights reserved. See enclosed file for license details.